### Constructor

# Gcr SshAskpass new

#### Declaration [src]

    GcrSshAskpass*
    gcr_ssh_askpass_new (
      GTlsInteraction* interaction
    )

#### Description [src]

Create a new GcrSshAskpass object which can be used to spawn an ssh command and prompt for any necessary passwords.

Use the `gcr_ssh_askpass_child_setup()` function as a callback with g_spawn_sync(), `g_spawn_async()` or g_spawn_async_with_pipes().

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  The interaction to use for prompting paswords.

  The data is owned by the caller of the function.

#### Return value

Type: `GcrSshAskpass`

A new `GcrSshAskpass` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.